Loading...
Searching...
No Matches
rot_ext.c File Reference
Rotator API

Rotator extension parameters and levels interface. More...

`#include "hamlib/config.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include "hamlib/rig.h"`
`#include "hamlib/rotator.h"`
`#include "token.h"`
Include dependency graph for rot_ext.c:

## Functions

int | rot_ext_func_foreach (ROT *rot, int(*cfunc)(ROT *, const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the rot_caps::extfuncs table.
int | rot_ext_level_foreach (ROT *rot, int(*cfunc)(ROT *, const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the rot_caps::extlevels extension levels table.
int | rot_ext_parm_foreach (ROT *rot, int(*cfunc)(ROT *, const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the rot_caps::extparms extension parameters table.
const struct confparams * | rot_ext_lookup (ROT *rot, const char *name)
| Lookup an extension functions, levels, or parameters token by its name and return a pointer to the containing confparams structure member.
const struct confparams * | rot_ext_lookup_tok (ROT *rot, hamlib_token_t token)
| Searches for an extension levels, functions, or parameters token by its constant value and return a pointer to the confparams structure member.
hamlib_token_t | rot_ext_token_lookup (ROT *rot, const char *name)
| Simple search returning the extension token ID associated with name.

## Detailed Description

Rotator extension parameters and levels interface.

Author
  Mikael Nousiainen

Date
  2020

An open-ended set of extension parameters, functions and levels are available for each rotator, as provided in the rot_caps::extparms, rot_caps::extfuncs and rot_caps::extlevels lists. These provide a way to work with rotator-specific functions that don't fit into the basic "virtual rotator" of Hamlib.